#include "init.h"

#ifndef __I2C__
#define	__I2C__

#define	I2C_F			100000			//  I2C

#define	I2C_PINSEL_SCL		PINSEL0_bit.P0_2=1	//   I2C
#define	I2C_PINSEL_SDA		PINSEL0_bit.P0_3=1

#define	I2C_D_H			I2SCLH			// 
#define	I2C_D_L			I2SCLL			// 

//#define	I2C_CON			I2CON
#define	I2C_CON_C		I2CONCLR
#define	I2C_CON_S		I2CONSET
#define	I2C_STAT		I2STAT
#define	I2C_DAT			I2DAT

#define	I2C_VICVectAddr	VICVectAddr2
#define	I2C_VICVectCntl	VICVectCntl2

void	i2cIRQ(void);					// I2C

void	i2cInit(void);
int	i2cWrite(unsigned char ms,unsigned Adr,unsigned char b);
int	i2cRead(unsigned char ms,unsigned Adr,unsigned char *b);
#endif

